function [zValPred, yValPred, zValPredVariant, yValPredVariant] = computeTestError(xTest, w, b, eventListTest, phiTest, params)



for i = 1:length(xTest)
    
    K     = size(xTest{i}, 2);
    wX{i} = -w'*xTest{i} - repmat(b', 1, K);
    wXminus1{i} = 2 * wX{i} - ones(size(wX{i}));
    
end

[zValPred, yValPred] =  optimizeA(wX, K, eventListTest);
[zValPredVariant, yValPredVariant] =  optimizeA(wXminus1, K, eventListTest);



end